Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: libgio-devel pkgconfig(opencc)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global snapshot 0

Name:       ibus-libzhuyin
Version:    1.10.2
Release:    alt1_4
Summary:    New Zhuyin engine based on libzhuyin for IBus
License:    GPL-2.0-or-later
URL:        https://github.com/libzhuyin/ibus-libzhuyin
Source0:    http://downloads.sourceforge.net/libzhuyin/ibus-libzhuyin/%{name}-%{version}.tar.gz
%if %snapshot
Patch0:     ibus-libzhuyin-1.10.x-HEAD.patch
%endif

BuildRequires:  gcc-c++
BuildRequires:  gettext-tools libasprintf-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libsqlite3-devel
BuildRequires:  libibus-devel libibus-gir-devel
BuildRequires:  libpinyin-devel >= 2.0.91
BuildRequires:  python3-devel
BuildRequires:  libpinyin-tools

# Requires(post): sqlite

Requires:   ibus python3-module-ibus-overrides
Provides:   libzhuyin-data = 1.1.2
Obsoletes:  libzhuyin-data < 1.1.2
Source44: import.info

%description
It includes a Chinese Zhuyin (Bopomofo) input method
based on libzhuyin for IBus.

%prep
%setup -q
%if %snapshot
%patch0 -p1 -b .head
%endif


%build
%configure --disable-static \
           --disable-boost \
           --with-python=python3

# make -C po update-gmo
%make_build

%install
%makeinstall_std

#py_byte_compile /usr/bin/python3 $RPM_BUILD_ROOT%{_datadir}/ibus-libzhuyin/setup

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-libzhuyin.desktop
%{_libexecdir}/ibus-engine-libzhuyin
%{_libexecdir}/ibus-setup-libzhuyin
%{_datadir}/ibus-libzhuyin/setup
%dir %{_datadir}/ibus-libzhuyin
%{_datadir}/ibus/component/*
%{_datadir}/ibus-libzhuyin/icons
%{_datadir}/ibus-libzhuyin/*symbol.txt
%{_libdir}/ibus-libzhuyin/


%changelog
* Thu Sep 14 2023 Igor Vlasenko <viy@altlinux.org> 1.10.2-alt1_4
- update

* Fri Oct 22 2021 Igor Vlasenko <viy@altlinux.org> 1.10.0-alt1_3
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.9.1-alt1_3
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.9.1-alt1_2
- new version

